unit FormTemplate;

interface

uses
  System.Classes, System.ImageList, System.Actions,
  Vcl.Forms, Vcl.StdCtrls, Vcl.ImgList, Vcl.Controls, Vcl.ActnList, Vcl.ComCtrls, Vcl.ToolWin, Vcl.ExtCtrls;

type
  TTemplateForm = class(TForm)
    RadioGroup1: TRadioGroup;
    RadioGroup2: TRadioGroup;
    Shape1: TShape;
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
    procedure RadioGroup2Click(Sender: TObject);
  private
  public
  end;

var
  TemplateForm: TTemplateForm;

implementation

uses
  Sysutils;

{$R *.dfm}

procedure TTemplateForm.FormCreate(Sender: TObject);
begin
  { Lass dem User genug Zeit, die langen Hints zu lesen... }
  Application.HintHidePause := 10000;

  { Shape1.Shape, Shape1.Width und Shape1.Height sind in der DFM mit den beiden RadioGroups synchronisiert.
    Consistency by Design, oder? }
end;

procedure TTemplateForm.RadioGroup1Click(Sender: TObject);
begin
  case RadioGroup1.ItemIndex of
    0: Shape1.Shape := stRectangle;
    1: Shape1.Shape := stSquare;
    2: Shape1.Shape := stRoundRect;
    3: Shape1.Shape := stRoundSquare;
    4: Shape1.Shape := stEllipse;
    5: Shape1.Shape := stCircle;
  else
    raise ERangeError.Create('invalid shape type');
  end;
  Memo1.Lines.Add(Format('shape type changed to %d', [RadioGroup1.ItemIndex]));
end;

procedure TTemplateForm.RadioGroup2Click(Sender: TObject);
begin
  if RadioGroup2.ItemIndex > 0 then begin
    Shape1.Width := 50*RadioGroup2.ItemIndex;
    Shape1.Height := 60*RadioGroup2.ItemIndex;
  end
  else begin
    raise ERangeError.Create('invalid shape size');
  end;
  Memo1.Lines.Add(Format('shape size changed to %d', [RadioGroup2.ItemIndex]));
end;

end.
